<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPaymentMethodLabel" jhiTranslate="mpmApp.paymentMethod.home.createOrEditLabel">Create or edit a Payment Method</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!paymentMethod.idPaymentMethod">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="paymentMethod.idPaymentMethod" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.paymentMethod.refKey" for="field_refKey">Ref Key</label>
                    <input type="text" class="form-control" name="refKey" id="field_refKey"
                        [(ngModel)]="paymentMethod.refKey" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.paymentMethod.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="paymentMethod.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.paymentMethod.accountNumber" for="field_accountNumber">Account Number</label>
                    <input type="text" class="form-control" name="accountNumber" id="field_accountNumber"
                        [(ngModel)]="paymentMethod.accountNumber" />
                </div>

                <div class="form-group" *ngIf="idMethodType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.paymentMethod.methodType" for="field_methodType">Method Type</label>
                    <select class="form-control" id="field_methodType" name="methodType" [(ngModel)]="paymentMethod.methodTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="paymentMethodTypeOption.idPaymentMethodType" *ngFor="let paymentMethodTypeOption of paymentmethodtypes; trackBy: trackPaymentMethodTypeById">{{paymentMethodTypeOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
